import { Command } from 'ckeditor5/src/core';

export default class InlineRelatedPostCommand extends Command {
    execute( { value } ) {
        const editor = this.editor;
        const selection = editor.model.document.selection;

        editor.model.change( writer => {
            // Create a <inline-related-post> element with the "name" attribute (and all the selection attributes)...
            const inlineRelatedPost = writer.createElement( 'inline-related-post', {
                ...Object.fromEntries( selection.getAttributes() ),
                name: value
            } );

            // ... and insert it into the document. Put the selection on the inserted element.
            editor.model.insertObject( inlineRelatedPost, null, null, { setSelection: 'on' } );
        } );
    }

    refresh() {
        const model = this.editor.model;
        const selection = model.document.selection;

        const isAllowed = model.schema.checkChild( selection.focus.parent, 'inline-related-post' );

        this.isEnabled = isAllowed;
    }
}

